from google.appengine.ext import webapp
from google.appengine.ext.webapp.util import run_wsgi_app
from google.appengine.ext.webapp import template

from google.appengine.api import users

import datetime
import models
import logging
import json

# Loads the HTML of the webapp only
class Arduino(webapp.RequestHandler):
    def get(self):       
        
        # Get user preferences
        User_Prefs = models.getUserPrefs()
        
        if User_Prefs.mode != 'Manual':
             User_Prefs.status = self.request.get('State')
             User_Prefs.put()
        
        # Return Data
        Data = {
             "Mode": User_Prefs.mode,
             "Status": User_Prefs.status,
	        "RunTime": User_Prefs.run_time,
	        "IdleTime": User_Prefs.idle_time
        }
        
        jsonString = json.dumps(Data)     
        logging.info(jsonString)
     
        self.response.out.write(jsonString)
        
class TestConnection(webapp.RequestHandler):
     def get(self):
	  
	  self.response.out.write("Connected");

app = webapp.WSGIApplication([
    ('/adacs/testConnection', TestConnection),
    ('/adacs/sync.*', Arduino)
    ], debug=True)

def main():
    run_wsgi_app(app)

if __name__=='__main__':
    main()
